Subject: smtpupd-09 allows multi-parameter HELO

From: "D. J. Bernstein" <[email-masked]>
Date: 6 Feb 1999 22:12:31 -0000

80 messages in 4 days; apparently some issues were lost in the flood.
Here's one of them.

  [ HELO when no name is available ]
> the client SHOULD send an address literal (see section 4.1.3), optionally
> followed by information that will help to identify the client system.

Where did this dangerous suggestion come from?

I agree that sending an address literal is the best approach when the
client doesn't have a name. Any server that rejects this is violating
RFC 1123; an address literal complies with the RFC 821 <domain> syntax.

But a HELO line with extra information after the address literal will
fail disastrously with some hosts. It does _not_ comply with the RFC 821
<domain> syntax.

---Dan